Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.stream.message
Class StatusMessage

    java.lang.Object
      org.red5.server.messaging.AbstractMessage
          org.red5.server.stream.message.StatusMessage

All Implemented Interfaces:
  IMessage

    public class StatusMessage

extends AbstractMessage

Field Summary

Fields inherited from class org.red5.server.messaging.AbstractMessage
`correlationID, extraHeaders, messageID, messageType`

Constructor Summary
`StatusMessage()`

Method Summary
`Status` | `getBody()` Getter for property 'body'.
`void` | `setBody(Status body)` Setter for property 'body'.

Methods inherited from class org.red5.server.messaging.AbstractMessage
`getBooleanProperty, getByteProperty, getCorrelationID, getDoubleProperty, getFloatProperty, getIntProperty, getLongProperty, getMessageID, getMessageType, getObjectProperty, getShortProperty, getStringProperty, setBooleanProperty, setByteProperty, setCorrelationID, setDoubleProperty, setFloatProperty, setIntProperty, setLongProperty, setMessageID, setMessageType, setObjectProperty, setShortProperty, setStringProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusMessage

    public StatusMessage()

Method Detail

### getBody

    public Status getBody()

  Getter for property 'body'.

  Returns:
    Value for property 'body'.

### setBody

    public void setBody(Status body)

  Setter for property 'body'.

  Parameters:
    `body` - Value to set for property 'body'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project